From dd79a0749370021901996471c699f58fb2403bcf Mon Sep 17 00:00:00 2001
From: Wang Ziming <wangziming@huawei.com>
Date: Tue, 31 Mar 2020 21:01:24 +0800
Subject: [PATCH 22/77] virsh_domxml_from_native: replace '\s' in re.sub() in
 virsh_convxml function with ''.

cmdline_tmp does not need '\s' in re.sub(),replace it with '',otherwise
there will be  an error in some Python version(such as Python 3.7) :
"re.error: bad escape \s at position 0"

Signed-off-by: Wang Ziming <wangziming@huawei.com>
---
 libvirt/tests/src/virsh_cmd/domain/virsh_domxml_from_native.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/libvirt/tests/src/virsh_cmd/domain/virsh_domxml_from_native.py b/libvirt/tests/src/virsh_cmd/domain/virsh_domxml_from_native.py
index 7d665e70..18c2081b 100644
--- a/libvirt/tests/src/virsh_cmd/domain/virsh_domxml_from_native.py
+++ b/libvirt/tests/src/virsh_cmd/domain/virsh_domxml_from_native.py
@@ -34,7 +34,7 @@ def run(test, params, env):
         pid = vm.get_pid()
         cmdline = process.run("cat -v /proc/%d/cmdline" % pid).stdout_text
         cmdline = re.sub(r'\^@', ' ', cmdline)
-        cmdline_tmp = re.sub(r'\s-drive\s[^\s]+', '\s', cmdline)
+        cmdline_tmp = re.sub(r'\s-drive\s[^\s]+', '', cmdline)
 
         # Libvirt requires the binary path for domxml-from-native to succeed
         # /proc/pid/cmdline would give qemu cmdline with binary without
-- 
2.23.0

